> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Client Profile

> B1 — create idempotent on tenant_slug (200 if already exists, 201 if new).



## OpenAPI

````yaml /openapi.json post /v1/provisioning/client-profiles
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/provisioning/client-profiles:
    post:
      tags:
        - provisioning-portal
      summary: Create Client Profile
      description: >-
        B1 — create idempotent on tenant_slug (200 if already exists, 201 if
        new).
      operationId: create_client_profile_v1_provisioning_client_profiles_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientProfileCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    ClientProfileCreateRequest:
      properties:
        compliance_flags:
          additionalProperties: true
          title: Compliance Flags
          type: object
        data_residency:
          anyOf:
            - type: string
            - type: 'null'
          title: Data Residency
        display_name:
          title: Display Name
          type: string
        industry:
          title: Industry
          type: string
        issue_id_convention:
          anyOf:
            - type: string
            - type: 'null'
          title: Issue Id Convention
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        primary_format:
          title: Primary Format
          type: string
        tenant_slug:
          title: Tenant Slug
          type: string
      required:
        - display_name
        - tenant_slug
        - industry
        - primary_format
      title: ClientProfileCreateRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````